Subject: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: "Drew Adams" <[email-masked]>
Date: Mon, 2 Jul 2012 10:40:38 -0700

> > Why?  No reason given.  This is a reasonable request, which 
> > would improve correspondence about bugs and user difficulties.

And no response to that question.  I've reopened this bug.

> > Users who are aware of the problem often have to manually 
> > excise such binary codes and replace them with `...' or nothing.
> 
> Yes. Not two days ago I had to do exactly that.

I do it quite frequently.  And I see portions of backtrace text sent by email
and posted to websites quite often - including in this bug list!

Posting a backtrace is a common and reasonable way to communicate about many
Emacs problems.  Needing to hand-sanitize a backtrace log to remove byte code
portions is silly.  That's what machines and software are for.

> > This should at least be a wishlist item, IMO.  Or at least 
> > give a convincing argument why the request is not appropriate.
> 
> Agreed.

Users should be able to control this (e.g. via an option, and perhaps even a
toggle key in buffer *Backtrace*.

The usefulness of this should be a no-brainer.

I cannot speak to the difficulty of implementating the fix.